package com.gyee.wisdom.dao.sql.alarm.repository;

import com.gyee.wisdom.dao.sql.alarm.Entity.WarningEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface WarningRepository extends JpaRepository<WarningEntity, String>, JpaSpecificationExecutor {
    WarningEntity findAllById(String id);
    WarningEntity findByEdnaValue(Integer ednavalue);

    List<WarningEntity> findByModelId(String modelid);
    List<WarningEntity> findByModelIdIn(String[] modelid);

    List<WarningEntity> findByIsReset(Integer isReset);
}
